FROM php:7.3.12-fpm-alpine
 
RUN apk update \
 && apk add --no-cache $PHPIZE_DEPS \
	bash \
	git \
	zip \
	unzip
 
RUN docker-php-ext-install opcache pdo_mysql
RUN docker-php-ext-enable opcache
 
RUN curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer
 
RUN rm -rf /var/cache/apk/*
 
COPY php.ini /usr/local/etc/php/conf.d/php.override.ini
COPY www.conf /usr/local/etc/php-fpm.d/www.conf
 
WORKDIR /var/www/app
 
CMD ["php-fpm", "--nodaemonize"]